Cabal-1.22.5.0: A framework for packaging Haskell software

Copyright | Johan Tibell 2011
License | BSD3
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | None
Language | Haskell98

Distribution.Simple.Bench

Description

This is the entry point into running the benchmarks in a built package. It performs the "`./setup bench`" action. It runs benchmarks designated in the package description.

Synopsis

- bench :: Args -> PackageDescription -> LocalBuildInfo -> BenchmarkFlags -> IO ()

# Documentation

bench Source

Arguments

:: Args | positional command-line arguments
-> PackageDescription | information from the .cabal file
-> LocalBuildInfo | information from the configure step
-> BenchmarkFlags | flags sent to benchmark
-> IO () |

Perform the "`./setup bench`" action.